Update company info
Update company information for a domain / account. All fields are optional; only the fields provided in the request will be updated.
patch
Authorizations
Api-TokenstringRequired
API token in Api-Token header
Path parameters
domain_idintegerRequiredExample:
Domain ID
1Body
Responses
200
Company information
application/json
401
Returns unauthorized error message. Check your credentials.
application/json
403
Returns forbidden error message. Check your permissions.
application/json
404
Resource not found
application/json
422
Validation errors
application/json
patch/api/domains/{domain_id}/company_info
curl -X PATCH https://mailtrap.io/api/domains/{domain_id}/company_info \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"company_info": {
"city": "New York",
"zip_code": "10001"
}
}'
{
"data": {
"name": "Mailtrap",
"address": "123 Main St",
"city": "San Francisco",
"country": "US",
"phone": "+1-555-0100",
"zip_code": "94105",
"privacy_policy_url": "https://mailtrap.io/privacy",
"terms_of_service_url": "https://mailtrap.io/terms",
"website_url": "https://mailtrap.io",
"info_level": "business"
}
}Last updated
Was this helpful?

